Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jboss51
Class EnterpriseBeansTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jboss51.EnterpriseBeansTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, EnterpriseBeansType<T>

    public class EnterpriseBeansTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, EnterpriseBeansType<T>

This class implements the `enterprise-beansType` xsd type

Original Documentation:

The enterprise-beans element contains additional information about the
beans. These informations, such as jndi names, resource managers and container
configurations, are specific to jboss and not described in ejb-jar.xml. jboss will provide a
standard behaviour if no enterprise-beans element is found, see container-configurations,
jndi-name and resource-managers for defaults. Used in: jboss

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`EnterpriseBeansTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`EnterpriseBeansTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`ConsumerBeanType<EnterpriseBeansType<T>>` | `consumer()` Returns the `consumer` element
`GenericBeanType<EnterpriseBeansType<T>>` | `ejb()` Returns the `ejb` element
`java.util.List<ConsumerBeanType<EnterpriseBeansType<T>>>` | `getConsumerList()` Returns all `consumer` elements
`java.util.List<GenericBeanType<EnterpriseBeansType<T>>>` | `getEjbList()` Returns all `ejb` elements
`java.util.List<MessageDrivenBeanType<EnterpriseBeansType<T>>>` | `getMessageDrivenList()` Returns all `message-driven` elements
`java.util.List<ServiceBeanType<EnterpriseBeansType<T>>>` | `getServiceList()` Returns all `service` elements
`java.util.List<SessionBeanType<EnterpriseBeansType<T>>>` | `getSessionList()` Returns all `session` elements
`MessageDrivenBeanType<EnterpriseBeansType<T>>` | `messageDriven()` Returns the `message-driven` element
`EnterpriseBeansType<T>` | `removeAllConsumer()` Removes all `consumer` elements
`EnterpriseBeansType<T>` | `removeAllEjb()` Removes all `ejb` elements
`EnterpriseBeansType<T>` | `removeAllMessageDriven()` Removes all `message-driven` elements
`EnterpriseBeansType<T>` | `removeAllService()` Removes all `service` elements
`EnterpriseBeansType<T>` | `removeAllSession()` Removes all `session` elements
`ServiceBeanType<EnterpriseBeansType<T>>` | `service()` Returns the `service` element
`SessionBeanType<EnterpriseBeansType<T>>` | `session()` Returns the `session` element
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnterpriseBeansTypeImpl

    public EnterpriseBeansTypeImpl(T t,
                                   java.lang.String nodeName,
                                   org.jboss.shrinkwrap.descriptor.spi.Node node)

### EnterpriseBeansTypeImpl

    public EnterpriseBeansTypeImpl(T t,
                                   java.lang.String nodeName,
                                   org.jboss.shrinkwrap.descriptor.spi.Node node,
                                   org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### removeAllSession

    public EnterpriseBeansType<T> removeAllSession()

  Removes all `session` elements

  Specified by:
    `removeAllSession` in interface `EnterpriseBeansType<T>`
  Returns:
    the current instance of `EnterpriseBeansType`

### session

    public SessionBeanType<EnterpriseBeansType<T>> session()

  Returns the `session` element

  Specified by:
    `session` in interface `EnterpriseBeansType<T>`
  Returns:
    the node defined for the element `session`

### getSessionList

    public java.util.List<SessionBeanType<EnterpriseBeansType<T>>> getSessionList()

  Returns all `session` elements

  Specified by:
    `getSessionList` in interface `EnterpriseBeansType<T>`
  Returns:
    list of `session`

### removeAllMessageDriven

    public EnterpriseBeansType<T> removeAllMessageDriven()

  Removes all `message-driven` elements

  Specified by:
    `removeAllMessageDriven` in interface `EnterpriseBeansType<T>`
  Returns:
    the current instance of `EnterpriseBeansType`

### messageDriven

    public MessageDrivenBeanType<EnterpriseBeansType<T>> messageDriven()

  Returns the `message-driven` element

  Specified by:
    `messageDriven` in interface `EnterpriseBeansType<T>`
  Returns:
    the node defined for the element `message-driven`

### getMessageDrivenList

    public java.util.List<MessageDrivenBeanType<EnterpriseBeansType<T>>> getMessageDrivenList()

  Returns all `message-driven` elements

  Specified by:
    `getMessageDrivenList` in interface `EnterpriseBeansType<T>`
  Returns:
    list of `message-driven`

### removeAllService

    public EnterpriseBeansType<T> removeAllService()

  Removes all `service` elements

  Specified by:
    `removeAllService` in interface `EnterpriseBeansType<T>`
  Returns:
    the current instance of `EnterpriseBeansType`

### service

    public ServiceBeanType<EnterpriseBeansType<T>> service()

  Returns the `service` element

  Specified by:
    `service` in interface `EnterpriseBeansType<T>`
  Returns:
    the node defined for the element `service`

### getServiceList

    public java.util.List<ServiceBeanType<EnterpriseBeansType<T>>> getServiceList()

  Returns all `service` elements

  Specified by:
    `getServiceList` in interface `EnterpriseBeansType<T>`
  Returns:
    list of `service`

### removeAllConsumer

    public EnterpriseBeansType<T> removeAllConsumer()

  Removes all `consumer` elements

  Specified by:
    `removeAllConsumer` in interface `EnterpriseBeansType<T>`
  Returns:
    the current instance of `EnterpriseBeansType`

### consumer

    public ConsumerBeanType<EnterpriseBeansType<T>> consumer()

  Returns the `consumer` element

  Specified by:
    `consumer` in interface `EnterpriseBeansType<T>`
  Returns:
    the node defined for the element `consumer`

### getConsumerList

    public java.util.List<ConsumerBeanType<EnterpriseBeansType<T>>> getConsumerList()

  Returns all `consumer` elements

  Specified by:
    `getConsumerList` in interface `EnterpriseBeansType<T>`
  Returns:
    list of `consumer`

### removeAllEjb

    public EnterpriseBeansType<T> removeAllEjb()

  Removes all `ejb` elements

  Specified by:
    `removeAllEjb` in interface `EnterpriseBeansType<T>`
  Returns:
    the current instance of `EnterpriseBeansType`

### ejb

    public GenericBeanType<EnterpriseBeansType<T>> ejb()

  Returns the `ejb` element

  Specified by:
    `ejb` in interface `EnterpriseBeansType<T>`
  Returns:
    the node defined for the element `ejb`

### getEjbList

    public java.util.List<GenericBeanType<EnterpriseBeansType<T>>> getEjbList()

  Returns all `ejb` elements

  Specified by:
    `getEjbList` in interface `EnterpriseBeansType<T>`
  Returns:
    list of `ejb`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD